Name:           perl-Session-Token
Version:        1.503
Release:        1%{?dist}
Summary:        Secure, efficient, simple random session token generation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Session-Token/
Source0:        http://www.cpan.org/authors/id/F/FR/FRACTAL/Session-Token-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 0:5.008000
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a secure, efficient, and simple interface for creating
session tokens, password reset codes, temporary passwords, random
identifiers, and anything else you can think of.

%prep
%setup -q -n Session-Token-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYING META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Session*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Tue Oct 9 2018 Daniel Berteaud <daniel@firewall-services.com> - 1.503-1
- Update to 1.503

* Thu Oct 29 2015 Daniel Berteaud <daniel@firewall-services.com> - 1.502-1
- Update to 1.502

* Wed Jul 22 2015 Daniel Berteaud <daniel@firewall-services.com> - 1.008-2
- First build using cpanspec
